import com.imsl.chart.*;
import java.awt.Color;

public class SamplePieChart extends JFrameChart {
    
    public SamplePieChart() {
        Chart chart = getChart();
        
        double y[] = {35., 20., 30., 5.};
        Pie pie = new Pie(chart, y);
        pie.setLabelType(Pie.LABEL_TYPE_TITLE);
        pie.setFillOutlineColor(Color.blue);

        PieSlice[] slice = pie.getPieSlice();

        slice[0].setFillColor(Color.green);
        slice[0].setTitle("Green");
        slice[0].setExplode(0.1);
        
        slice[1].setFillColor(Color.red);
        slice[1].setTitle("Red");
        slice[1].setFillOutlineColor(Color.yellow);
        slice[1].setExplode(0.1);
        
        slice[2].setFillColor(Color.blue);
        slice[2].setTitle("Blue");
        slice[2].setExplode(0.1);
        
        slice[3].setFillColor(Color.yellow);
        slice[3].setTitle("Yellow");
        slice[3].setExplode(0.15);
    }
    
    public static void main(String argv[]) {
        new SamplePieChart().setVisible(true);
    }
}
